import request from '@/utils/request'

// 查询高处工作票列表
export function listHigh(query) {
  return request({
    url: '/ticket/high/list',
    method: 'get',
    params: query
  })
}

// 查询高处工作票详细
export function getHigh(whId) {
  return request({
    url: '/ticket/high/' + whId,
    method: 'get'
  })
}

// 新增高处工作票
export function addHigh(data) {
  return request({
    url: '/ticket/high',
    method: 'post',
    data: data
  })
}

// 修改高处工作票
export function updateHigh(data) {
  return request({
    url: '/ticket/high',
    method: 'put',
    data: data
  })
}

// 删除高处工作票
export function delHigh(whId) {
  return request({
    url: '/ticket/high/' + whId,
    method: 'delete'
  })
}

// 导出高处工作票
export function exportHigh(query) {
  return request({
    url: '/ticket/high/export',
    method: 'get',
    params: query
  })
}
